> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/events/get-speaker-list.md).

# Get Speaker List

## Get Speaker List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/event?action=getSpeakerList`

Get the list of speakers at an event

#### Path Parameters

| Name  | Type    | Description          |
| ----- | ------- | -------------------- |
| event | integer | The event identifier |

{% tabs %}
{% tab title="200 " %}

```
{
  "meta":{
    "totalResults":1,
    "start":0,
    "perPage":1,
    "count":1
    },
  "results":
  [
    {
      "id":"6",
      "fullName":"Mr Speaker",
      "organisation":"Google",
      "position":"Lead Developer",
      "profileDescription":"...",
      "profileImageUrl":"https://…./8869de9237bb1.png"
    }
  ]
}
```

{% endtab %}
{% endtabs %}

## Example Request

`Example: Fetch the list of speakers at an event`

```javascript
{
  "event":15593
}
```

## Returns

A collection object with the following properties of objects in the results

| Property           | Description                            |
| ------------------ | -------------------------------------- |
| id                 | The unique speaker identifier          |
| fullName           | The speaker’s name                     |
| organisation       | The speaker’s organisation             |
| position           | The position of the speaker            |
| profileDescription | The speaker’s profile                  |
| profileImageUrl    | The URL to the speaker’s profile image |

## Throws

| Code                 | Description                  |
| -------------------- | ---------------------------- |
| Specific Code: 24124 | Event does not have speakers |
| Specific Code: 24101 | Unable to find event         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/events/get-speaker-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
